Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.model
Class GraphPath

    java.lang.Object
      |
      +--edu.hust.go.model.GraphPath

public class GraphPath
extends java.lang.Object

Constructor Summary
`GraphPath()`

Method Summary
`static void` | `getCommonElements(java.lang.Object[][] path, java.util.HashMap map)`
`static java.util.HashSet` | `getCommonElements(java.lang.Object[] apath, java.lang.Object[] bpath)`
`static java.util.HashSet` | `getNodeAllChildren(SimpleDirectedGraph graph, java.lang.Object node)`
`static java.util.HashSet` | `getNodeAllParents(SimpleDirectedGraph graph, java.lang.Object node)`
`static java.util.Vector` | `getNodeChildren(SimpleDirectedGraph graph, java.lang.Object node)`
`static java.util.Vector` | `getNodeParents(SimpleDirectedGraph graph, java.lang.Object node)`
`static java.util.HashMap` | `getPath2Node(SimpleDirectedGraph graph, java.lang.Object obj1, java.lang.Object obj2)`
`static java.lang.Object[][]` | `getPath2Root(SimpleDirectedGraph graph, java.lang.Object node)`
`static boolean` | `related(SimpleDirectedGraph graph, java.lang.Object obj1, java.lang.Object obj2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphPath

    public GraphPath()

Method Detail

### getNodeAllParents

    public static java.util.HashSet getNodeAllParents(SimpleDirectedGraph graph,
                                                      java.lang.Object node)

### getNodeAllChildren

    public static java.util.HashSet getNodeAllChildren(SimpleDirectedGraph graph,
                                                       java.lang.Object node)

### getNodeParents

    public static java.util.Vector getNodeParents(SimpleDirectedGraph graph,
                                                  java.lang.Object node)

### getNodeChildren

    public static java.util.Vector getNodeChildren(SimpleDirectedGraph graph,
                                                   java.lang.Object node)

### getPath2Node

    public static java.util.HashMap getPath2Node(SimpleDirectedGraph graph,
                                                 java.lang.Object obj1,
                                                 java.lang.Object obj2)

### related

    public static boolean related(SimpleDirectedGraph graph,
                                  java.lang.Object obj1,
                                  java.lang.Object obj2)

### getPath2Root

    public static java.lang.Object[][] getPath2Root(SimpleDirectedGraph graph,
                                                    java.lang.Object node)

### getCommonElements

    public static void getCommonElements(java.lang.Object[][] path,
                                         java.util.HashMap map)

### getCommonElements

    public static java.util.HashSet getCommonElements(java.lang.Object[] apath,
                                                      java.lang.Object[] bpath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD